﻿using System;
using System.Web;
using System.Net;

namespace CloudWebRole.Plotier002
{
    public partial class SpecialProxy : System.Web.UI.Page
    {
        private const string mapLoadUrlName = "mapLoadUrl";
        protected void Page_Load(object sender, EventArgs e)
        {
            byte[] r=null;
            var cookie = Request.Cookies[mapLoadUrlName];

            if (cookie != null)
            {
                try
                {
                    var client = new WebClient();
                    r = client.DownloadData(HttpUtility.UrlDecode(cookie.Value));
                }
                catch (Exception ex)
                {
                    var s = "onJsonpLoaded(null)";
                    r = System.Text.Encoding.UTF8.GetBytes(s);
                }
            }
            else
            {
                var s = "onJsonpLoaded(null)";
                r = System.Text.Encoding.UTF8.GetBytes(s);
            }
            Response.Clear();
            Response.ContentType = "text/javascript";
            Response.OutputStream.Write(r, 0, r.Length);
            Response.End();
        }
    }
}