﻿using System;
using System.IO;

namespace CloudWebRole.Plotier002
{
    public partial class jpeg : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            JpegGps.JpegGpsLocation location;
            try
            {
                byte[] ar = Convert.FromBase64String(Request.Params["jpeg"]);
                var stream = new MemoryStream(ar);
                location = JpegGps.JpegGps.ProcessFile(stream);
            }
            catch (FormatException ex)
            {
                location = null;
            }
            string r;
            if (location == null)
                r = "{}";
            else
                r = string.Format("{{'lat':{0},'long':{1}}}", 
                    Plotier002Util.ConvDtoS(location.Latitude),
                    Plotier002Util.ConvDtoS(location.Longtitude));
            byte []result = System.Text.Encoding.UTF8.GetBytes(r);
            Response.Clear();
            Response.ContentType = "application/json";
            Response.BinaryWrite(result);
            Response.End();
        }
    }
}
