﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO.IsolatedStorage;
using Microsoft.Phone.Controls;

namespace GPS_Distance
{
    public partial class Settings : PhoneApplicationPage
    {
        public const string DistMethodKey = "distMethod";
        public Settings()
        {
            InitializeComponent();
        }

        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
            bool f = false;
            if (IsolatedStorageSettings.ApplicationSettings.Contains(DistMethodKey))
                f = (bool)IsolatedStorageSettings.ApplicationSettings[DistMethodKey];
            this.radioButton2.IsChecked = f;
            this.radioButton1.IsChecked = !f;
        }

        private void LayoutRoot_Unloaded(object sender, RoutedEventArgs e)
        {
            IsolatedStorageSettings.ApplicationSettings[DistMethodKey] = this.radioButton2.IsChecked;
        }
    }
}
